Rise of the Tomb Raider™ System Requirements

Are you going to paly the Rise of the Tomb Raider™, and looking for Rise of the Tomb Raider™ System Requirements. Finally, Here you can read both minimum and recommended which is provided by Can You RUN It.

Rise of the Tomb Raider™-Icon
TITLE: Rise of the Tomb Raider™
GENREAction, Adventure
DEVELOPERCrystal Dynamics, Eidos-Montréal, Feral Interactive (Mac), Feral Interactive (Linux), Nixxes software
PUBLISHERSquare Enix, Feral Interactive (Mac), Feral Interactive (Linux)
RELEASE DATE: 9 Feb, 2016

Rise of the Tomb Raider™ System Requirements:

Windows
Mac OS X
SteamOS + Linux
    Minimum:
    • OS: Windows 7 64bit
    • Processor: Intel Core i3-2100 or AMD equivalent
    • Memory: 6 GB RAM
    • Graphics: NVIDIA GTX 650 2GB or AMD HD7770 2GB
    • DirectX: Version 11
    • Storage: 25 GB available space
    Recommended:
    • OS: Windows 10 64 bit
    • Processor: Intel Core i7-3770K
    • Memory: 8 GB RAM
    • Graphics: NVIDIA GTX 980Ti 2560×1440 or NVIDIA GTX 970 1920×1080
    • DirectX: Version 11
    • Storage: 25 GB available space
    Minimum:
    • OS: Mac OS X 10.13.4
    • Processor: 2.3GHz Intel Core i5 or better
    • Memory: 8 GB RAM
    • Graphics: 2GB Nvidia 680MX, 2GB AMD R9 M290, 1.5GB Intel Iris Graphics 540 or better (see notes for more details)
    • Storage: 27 GB available space
    • Additional Notes: The game is supported on the following Macs. To check your Mac model and when it was released, select About This Mac from the Apple menu on your menu bar.
      • * All 13″ MacBook Pros released since 2016
      • * All 15″ MacBook Pros released since Late 2013 with a 2.3GHz processor or better
      • * All 21.5″ iMacs released since 2017
      • * All 27″ iMacs released since Late 2013 (models with an Nvidia GT 755M graphics card are not officially supported) (1)
      • * All Mac Pros released since Late 2013
      • 1. Late 2012 models with a 2GB Nvidia 680MX graphics cards are also supported.
      ——— The following Macs are capable of running the game but do not consistently meet the standards required for official support.
      • * All 15″ MacBook Pros released since Late 2013
      • * All 21.5″ iMacs released since Late 2013 with a 2.3GHz processor or better (models with an Nvidia 750M graphics card are not supported)
      ——— Please note for your computer to meet the minimum requirements it must match or better all elements of the listed system requirements. For more detailed specifications check the Feral website.
    Minimum:
    • OS: Ubuntu 17.10 
    • Processor: Intel Core i3-4130T or AMD equivalent
    • Memory: 8 GB RAM
    • Graphics: 2GB AMD R9 285 (GCN 3rd Gen and above), 2GB Nvidia GTX 680 or better
    • Storage: 28 GB available space
    • Additional Notes:
      • * Requires Vulkan
      • * Nvidia graphics cards require driver version 396.24 or later. If you need to update your drivers, we recommend using the Proprietary GPU Drivers PPA.
      • * AMD graphics cards require Mesa 17.3.5 or later. If you need to update your drivers, we recommend using the Padoka Stable PPA.
      • * Vega graphics cards require Mesa 18.0 or later.
      • * AMD GCN 1st and 2nd generation graphics cards are not supported.
      • * Intel graphics cards are not supported.
      • * Requires an SSE2 capable processor.
    Recommended:
    • OS: Ubuntu 17.10 
    • Processor: Intel Core i7-3770K
    • Memory: 12 GB RAM
    • Graphics: Nvidia GTX 980Ti
    • Storage: 28 GB available space
    • Additional Notes:
      • * Requires Vulkan
      • * Nvidia graphics cards require driver version 396.24 or later. If you need to update your drivers, we recommend using the Proprietary GPU Drivers PPA.
      • * AMD graphics cards require Mesa 17.3.5 or later. If you need to update your drivers, we recommend using the Padoka Stable PPA.
      • * Vega graphics cards require Mesa 18.0 or later.
      • * AMD GCN 1st and 2nd generation graphics cards are not supported.
      • * Intel graphics cards are not supported.
      • * Requires an SSE2 capable processor.

Rise of the Tomb Raider™ is available in the following languages:

Interface Full Audio Subtitles
English
French
Italian
German
Spanish – Spain
Dutch
Polish
Portuguese – Brazil
Russian
Japanese
Simplified Chinese
Traditional Chinese
Korean
Arabic

You can also check Ironsight System Requirements

Rise of the Tomb Raider™ System Requirements recommendation By Can You RUN It

If you want to run Rise of the Tomb Raider™ on PC/Laptop, then you must have a machine with following specification. You will need a machine at last have Windows 7 64bit with 6 GB RAM, Intel Core i3-2100 or AMD equivalent, You will need NVIDIA GTX 650 2GB or AMD HD7770 2GB, and HDD 25 GB available space.

You may also like...

Leave a Reply

Your email address will not be published.